function [y,Xmax] = myPDF(x,f);
% myPDF(x,f) is the distribution function at x
% Returns the value y of the selected probability function 
% at the population value given in x.
% f: the number of the selected distribution function. Five PDF are implemented below.
% The function also returns Xmax, the cut-off size of individuals 
% in the population.
% By Steinar Thorvaldsen, 2004. steinar@hitos.no   For Matlab ver 6.x
% Ref.: W.L. Martinez: Computational Statistics Handbook with Matlab (2002).


switch f
case 1 % Use the code here to make an explisit user defined distribution:
Xmax = 6; % Maximum number of indvides. Value can be changed by user.
if x < 0
    y = 0;
elseif x <= 3
    y = 0;
elseif x <=4
    y = 0.9;
%elseif x <= Xmax-1
%    y = 0;
%elseif x <= Xmax
%    y = 0.18;
else
    y = 0;
end

case 2 % Use the code here to make another user defined distribution (bottleneck):
Xmax = 18; % Value can be changed by user
if x < 0
    y = 0;
elseif x <= 5
    y = 0;
elseif x <=6
    y = 0.5;
elseif x <= Xmax-1
    y = 0;
elseif x <= Xmax
    y = 0.5;
else
    y = 0;
end

case 3 % Use this code for the Poisson distribution
% Poisson(x, lambda) is the distribution function at x
% of the Poisson distribution with mean lambda.

Xmax = 10; % Value can be changed by user
lambda = 4; % can be changed, but must be > 0
if lambda <= 0
    error('Poisson mean must be positive.')
    return
elseif x < 0
    y = 0;
else
    y = lambda^x/factorial(x)*exp(-lambda); 
end

case 4 % Use univariate normal probability density function
% y = Norm(x,E,Var) Returns the value of the normal probabilty density 
% function with mean E and variance Var at the value x.

Xmax = 10; % Value can be changed by user
% These parameters may also be changed:
E = 4;
Var = 2;
if Var <= 0
   error('Variance must be greater than zero')
   return
elseif x <= 0
    y = 0;
else
    const = sqrt(2*pi)*sqrt(Var);
    y = (1/const)*exp(-((x-E)^2)/(2*Var));
end

otherwise % Use this code for uniform distribution:
Xmax = 10; % Value can be changed by user
p= 1/Xmax;
if x <= 0
    y = 0;
elseif x <= Xmax
    y = p;
else
    y = 0;
end   
end %switch