function [i] = icompute(n)
% Function to compute the index i in the distribution vector v
% when population vector n is given.
% The formula is evaluated by a smart iterative method.

% Use: i=icompute(n);

g=length(n); % the number of genotypes
i=1+n(1);
sum=n(1);
for k=1:g-2
    sum=sum + n(k+1);
    prod=sum;
    for kk=1:k
        prod=prod*(sum + kk);
    end
    prod=prod/factorial(k+1);
    i=i+prod;
end 